Subject: [webfinger] Is application/json an acceptable content type for JRDs?

From: Eric Mill <[email-masked]>
Date: Sat, 12 Oct 2013 18:28:50 -0400

I've been reading through the Webfinger spec, and it uses
application/jrd+json in all the examples, and describes the media type it's
registering -- but it never says whether or not a server using
application/json as a content type should fail or not.

I could potentially see some servers wishing to use application/json, so
that applications that are used for all kinds of JSON manipulation, like
JSONView, could properly pick up on it.

-- Eric

-- 
konklone.com | @konklone <https://twitter.com/konklone>

---

From: Melvin Carvalho <[email-masked]>
Date: Sun, 13 Oct 2013 00:40:40 +0200

> JSONView, could properly pick up on it.

My interpretation is that the server must set Mime Type
application/jrd+json if it's serving JRD, which is the only mandatory
serialization.  Previously there was an XML format (XRD) which is still in
use in some places.

> _______________________________________________
> webfinger mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/webfinger
>
>

---

From: Eric Mill <[email-masked]>
Date: Sat, 12 Oct 2013 18:58:28 -0400

So if I'm writing a client, and I get an application/json Content Type, it
should fail? Since the spec doesn't seem to explicitly mandate this, and
the content *is* valid JSON, this seems a bit restrictive to me.

On Sat, Oct 12, 2013 at 6:40 PM, Melvin Carvalho
<[email-masked]>wrote:

> ---
> You received this message because you are subscribed to the Google Groups
> "WebFinger" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [email-masked].
> For more options, visit https://groups.google.com/groups/opt_out.
>

---

From: Will Norris <[email-masked]>
Date: Sat, 12 Oct 2013 16:56:44 -0700

reading through some of the list archive (such as
http://www.ietf.org/mail-archive/web/webfinger/current/msg00395.html and
the rest of that thread), leads me to say that you *really* should use the
correct mime type.  I agree that for clients they probably should not fail
on application/json, but I certainly wouldn't rely on that behavior as a
publisher.  I wonder how hard it would be to get JSONView updated to accept
application/*+json in addition to application/json?

On Sat, Oct 12, 2013 at 3:58 PM, Eric Mill <[email-masked]> wrote:

> On Sat, Oct 12, 2013 at 6:40 PM, Melvin Carvalho <[email-masked]
> > wrote:
>
>>
>>
>>

---

From: "Paul E. Jones" <[email-masked]>
Date: Sat, 12 Oct 2013 20:35:38 -0400

Yeah, I think the "be conservative with what you send and liberal with 
what you accept" comes to play here, as with most protocols. Servers are 
required to use application/jrd+json, but it's probably best if clients 
did not rely on that media type being returned. Just try to parse it.  
It either will or will not parse correctly.

Paul

On 10/12/2013 7:56 PM, Will Norris wrote:
> http://www.ietf.org/mail-archive/web/webfinger/current/msg00395.html 
> and the rest of that thread), leads me to say that you *really* should 
> use the correct mime type.  I agree that for clients they probably 
> should not fail on application/json, but I certainly wouldn't rely on 
> that behavior as a publisher.  I wonder how hard it would be to get 
> JSONView updated to accept application/*+json in addition to 
> application/json?
>
>
> On Sat, Oct 12, 2013 at 3:58 PM, Eric Mill <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     So if I'm writing a client, and I get an application/json Content
>     Type, it should fail? Since the spec doesn't seem to explicitly
>     mandate this, and the content *is* valid JSON, this seems a bit
>     restrictive to me.
>
>
>     <[email-masked] <mailto:[email-masked]>> wrote:
>
>
>
>
>         On 13 October 2013 00:28, Eric Mill <[email-masked]
>         <mailto:[email-masked]>> wrote:
>
>             application/jrd+json in all the examples, and describes
>             the media type it's registering -- but it never says
>             whether or not a server using application/json as a
>             content type should fail or not.
>
>             I could potentially see some servers wishing to use
>             application/json, so that applications that are used for
>             all kinds of JSON manipulation, like JSONView, could
>             properly pick up on it.
>
>
>         application/jrd+json if it's serving JRD, which is the only
>         mandatory serialization.  Previously there was an XML format
>         (XRD) which is still in use in some places.
>
>
>             -- Eric
>
>             -- 
>             konklone.com <http://konklone.com> | @konklone
>             <https://twitter.com/konklone>
>
>             [email-masked] <mailto:[email-masked]>
>         You received this message because you are subscribed to the
>         Google Groups "WebFinger" group.
>         To unsubscribe from this group and stop receiving emails from
>         it, send an email to [email-masked]
>         <mailto:[email-masked]>.
>     konklone.com <http://konklone.com> | @konklone
>     <https://twitter.com/konklone>
>
>     [email-masked] <mailto:[email-masked]>

---

From: Eric Mill <[email-masked]>
Date: Sat, 12 Oct 2013 23:33:34 -0400

Good points/ideas. I opened a
ticket<https://github.com/bhollis/jsonview/issues/45>on the Firefox
JSONView issue tracker to handle *+json, and +1'd the pre-existing
thread<https://github.com/gildas-lormeau/JSONView-for-Chrome/issues/12#issuecomment-26210833>on
the Chrome JSONView tracker.

On Sat, Oct 12, 2013 at 8:35 PM, Paul E. Jones <[email-masked]>wrote:

> required to use application/jrd+json, but it's probably best if clients did
> not rely on that media type being returned.  Just try to parse it.  It
> either will or will not parse correctly.
>
> Paul
>
>
>> So if I'm writing a client, and I get an application/json Content Type,
>> it should fail? Since the spec doesn't seem to explicitly mandate this, and
>> On Sat, Oct 12, 2013 at 6:40 PM, Melvin Carvalho <
>> [email-masked]> wrote:
>>
>>>
>>>
>>>
>>>>  I could potentially see some servers wishing to use application/json,
>>>> so that applications that are used for all kinds of JSON manipulation, like
>>> You received this message because you are subscribed to the Google
>>> Groups "WebFinger" group.
>>> To unsubscribe from this group and stop receiving emails from it, send
>>> an email to [email-masked].
> webfinger mailing [email-masked]://www.ietf.org/mailman/listinfo/webfinger
>
>
>